BSFEventProcessorReturningEventInfos (Bean Scripting Framework API)
Keywords: org.apache.bsf.util.BSFEventProcessorReturningEventInfos class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bsf.util
Class BSFEventProcessorReturningEventInfos

    java.lang.Object
      org.apache.bsf.util.BSFEventProcessorReturningEventInfos

All Implemented Interfaces:
  EventProcessor

public class BSFEventProcessorReturningEventInfos
extends java.lang.Object
implements EventProcessor

This is used to support binding scripts to be run when an event occurs, forwarding the arguments supplied to the event listener. It is an adapted version of org.apache.bsf.util.BSFEventProcessor.

Author:
  Rony G. Flatscher, but most of the code copied from org.apache.bsf.util.BSFEventProcessor by Sanjiva Weerawarana

Method Summary
`void` | `processEvent(java.lang.String inFilter, java.lang.Object[] evtInfo)`
`void` | `processExceptionableEvent(java.lang.String inFilter, java.lang.Object[] evtInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processEvent

    public void processEvent(java.lang.String inFilter,
                             java.lang.Object[] evtInfo)

  Specified by:
    `processEvent` in interface `EventProcessor`

### processExceptionableEvent

    public void processExceptionableEvent(java.lang.String inFilter,
                                          java.lang.Object[] evtInfo)
                                   throws java.lang.Exception

  Specified by:
    `processExceptionableEvent` in interface `EventProcessor`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD